| Home | Libraries | People | FAQ | More

## Function template bind

boost::compute::bind

## Synopsis

    // In header: <boost/compute/functional/bind.hpp>

    template<typename F, class... Args> unspecified bind(F f, Args... args);

## Description

Returns a function wrapper which invokes `f` with `args` when called.

For example, to generate a unary function object which returns `true` when its argument is less than `7`:

    using boost::compute::less;
    using boost::compute::placeholders::_1;

    auto less_than_seven = boost::compute::bind(less<int>(), _1, 7);